Subject: RE: reserveValue & reserveGroup Q

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 13 Mar 2001 11:46:44 -0500

Christer is right about the situation with text encoding.  Seems to me that
Christian has made the point that the ASN.1 is mis-specified, but the proper
fix is not to change the semantics for the text encoding but to make the
ASN.1 types NULL OPTIONAL rather than BOOLEAN.

BTW, I just noticed that emergency is of type BOOLEAN OPTIONAL in the
ContextRequest structure. 

> -----Original Message-----
> From: Christer Holmberg [mailto:[email-masked]]
> Sent: Thursday, March 08, 2001 4:22 AM
> To: Christian Groves
> Cc: Troy Cauble; MEGACO list
> Subject: Re: reserveValue & reserveGroup Q
> 
> 
> 
> Hi,
> 
> The spec says that the DEFAULT value for these parameters is FALSE.
> Doesn't this mean that this is the value that will be used if the
> parameters are missing (which they may be if they are optional)?
> 
> Regards,
> 
> Christer Holmberg
> Ericsson Finland
> 
> 
> Christian Groves wrote:
> > 
> > G'Dat Troy,
> > 
> > I believe that the ABNF should be fixed to remove the 
> optionality. The
> > procedural text talks about true and false. It does not 
> talk about when
> > "reserveGroup" or "reserveValue" is missing. If you have 
> optional, true,
> > false you have a tri-state value.
> > 
> > So I propose to remove the optionality from the ABNF.
> > 
> > Cheers, Christian
> > 
> > Troy Cauble wrote:
> > >
> > > These two items are not OPTIONAL in the ASN.1 spec.
> > > Should they be?  They seem to be optional in the text spec.
> > >
> > > -troy
>